Package resources.icons

# Class ScaledImageIcon

java.lang.Object
javax.swing.ImageIcon
resources.icons.LazyImageIcon
resources.icons.DerivedImageIcon
resources.icons.ScaledImageIcon

All Implemented Interfaces:
  `Serializable`, `Accessible`, `Icon`, `FileBasedIcon`

public class ScaledImageIcon extends DerivedImageIcon
`LazyImageIcon` that creates a scaled version of an icon

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.ImageIcon

  `ImageIcon.AccessibleImageIcon`

- ## Field Summary

  ### Fields inherited from class javax.swing.ImageIcon

  `component, tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScaledImageIcon(Icon baseIcon, int width, int height)`
  Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size.
  `ScaledImageIcon(Icon baseIcon, int width, int height, int hints)`
  Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ImageIcon`
  `createImageIcon()`

  ### Methods inherited from class resources.icons.DerivedImageIcon

  `createImage, getSourceIcon, sourceIconChanged`

  ### Methods inherited from class resources.icons.LazyImageIcon

  `getAccessibleContext, getDescription, getFilename, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, paintIcon, setDescription, setImage, toString`

  ### Methods inherited from class javax.swing.ImageIcon

  `loadImage, setImageObserver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScaledImageIcon

    public ScaledImageIcon(Icon baseIcon, int width, int height)
    Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size. The rendering hints of `Image.SCALE_AREA_AVERAGING` will be applied.
    Parameters:
      `baseIcon` - base icon
      `width` - new icon width
      `height` - new icon height

  - ### ScaledImageIcon

    public ScaledImageIcon(Icon baseIcon, int width, int height, int hints)
    Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size
    Parameters:
      `baseIcon` - base icon
      `width` - new icon width
      `height` - new icon height
      `hints` - `RenderingHints` used by `Graphics2D`

- ## Method Details

  - ### createImageIcon

    protected ImageIcon createImageIcon()
    Overrides:
      `createImageIcon` in class `DerivedImageIcon`